Regress Storage V2
curl --request POST \
--url https://eomer-api-cgeu.onrender.com/v2/regress/storage-object \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"object_id": "<string>",
"label_column": "target",
"problem_type": "auto",
"train_split_ratio": 0.8,
"inference_mode": "train_evaluate",
"validation_holdout_ratio": 0.2
}
'import requests
url = "https://eomer-api-cgeu.onrender.com/v2/regress/storage-object"
payload = {
"object_id": "<string>",
"label_column": "target",
"problem_type": "auto",
"train_split_ratio": 0.8,
"inference_mode": "train_evaluate",
"validation_holdout_ratio": 0.2
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
object_id: '<string>',
label_column: 'target',
problem_type: 'auto',
train_split_ratio: 0.8,
inference_mode: 'train_evaluate',
validation_holdout_ratio: 0.2
})
};
fetch('https://eomer-api-cgeu.onrender.com/v2/regress/storage-object', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"job_id": "<string>",
"status": "pending",
"created_at": "2023-11-07T05:31:56Z",
"job_type": "classification",
"completed_at": "2023-11-07T05:31:56Z",
"elapsed_seconds": 123,
"num_samples": 123,
"error": "<string>",
"error_code": "validation_error",
"download_url": "<string>",
"problem_type": "<string>",
"accuracy": 123,
"feature_importance": {},
"explainability": {
"enabled": false,
"overview_markdown": "",
"selected_analyses": [
"<string>"
],
"completed_analyses": [
"<string>"
],
"skipped_analyses": {},
"warnings": [
"<string>"
],
"artifacts": [
{
"artifact_id": "<string>",
"analysis": "<string>",
"label": "<string>",
"format": "<string>",
"output_path": "<string>",
"download_url": "<string>",
"embed_url": "<string>",
"description": "",
"render_inline": false,
"preview_markdown": "",
"highlights": [
"<string>"
],
"display_order": 0,
"is_primary_visual": false,
"is_thumbnail": false
}
],
"summary_path": "<string>"
},
"explainability_url": "<string>",
"request_id": "<string>",
"inference_mode": "<string>",
"labeled_row_count": 123,
"unlabeled_row_count": 123,
"predicted_row_count": 123,
"model_name": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}API Reference
Submit Regression Storage Object v2
POST
/
v2
/
regress
/
storage-object
Regress Storage V2
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Stored-object request for one of the task-specific tabular v2 routes.
Required string length:
1 - 128Required string length:
1 - 200Required string length:
1 - 20Required range:
0.5 <= x <= 0.95Required string length:
1 - 20Required range:
0.05 <= x <= 0.5Response
Successful Response
Response model for tabular classification/regression job status.
Status values for async forecast jobs.
Available options:
pending, running, completed, failed Kind of job: forecast, classification, regression, fine_tune, analysis (sandbox jobs use a sandbox_ prefix). Use it to pick the response shape.
Machine-readable error codes for agent-friendly error handling.
Available options:
validation_error, invalid_preset, file_too_large, dataset_too_large, rate_limited, server_overloaded, job_not_found, job_not_completed, auth_failed, internal_error, timeout, pipeline_failed, storage_error, gpu_offload_unavailable, compute_unavailable, tabular_runtime_unavailable, fine_tune_disabled, connection_not_found, connector_error, sandbox_domain_used, sandbox_captcha_failed, sandbox_dataset_too_large, sandbox_corporate_email_required Show child attributes
Show child attributes
Explainability execution status for a forecast job.
Show child attributes
Show child attributes